Skip to main content
`Ctrl`+`K`

# PetscLayoutDestroy

Frees a `PetscLayout` object and frees its range if that exists.

## Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutDestroy(PetscLayout *map)

Collective

## Input Parameter

- map - the `PetscLayout`

## See Also

PetscLayout, `PetscLayoutSetLocalSize()`, `PetscLayoutSetSize()`, `PetscLayoutGetSize()`, `PetscLayoutGetLocalSize()`, `PetscLayout`, `PetscLayoutCreate()`, `PetscLayoutGetRange()`, `PetscLayoutGetRanges()`, `PetscLayoutSetBlockSize()`, `PetscLayoutGetBlockSize()`, `PetscLayoutSetUp()`

## Level

developer

## Location

src/vec/is/utils/pmap.c

## Examples

src/ksp/ksp/tutorials/ex85.c
src/ts/tutorials/ex30.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages